 #!/usr/bin/env python

import sys
import os
import argparse
import logging

from base_transformation import BaseTransformation


class FSTransformation(BaseTransformation):
    def __init__(self, description):
        logging.basicConfig(level=logging.INFO,
                     format="%(asctime)s - %(name)s - %(filename)s:%(lineno)d - %(levelname)s - %(message)s")
        parser = argparse.ArgumentParser(description=description)
        parser.add_argument("--props-file", required=True, help="Properties file")
        parser.add_argument("--full-zk-dump", required=True, help="Full zk dump file")
        args = parser.parse_args()
        full_zk_dump = args.full_zk_dump
        props_file = args.props_file
        BaseTransformation.__init__(self, props_file, full_zk_dump)
        if not os.path.exists(self.get_old_fusion()):
            sys.exit("Old Fusion home folder doesn't exist at path '{0}'.".format(self.get_old_fusion()))
        if not os.path.exists(self.get_new_fusion()):
            sys.exit("New Fusion home folder doesn't exist at path '{0}'.".format(self.get_new_fusion()))



