#!/usr/bin/env python

import sys
import os
import logging

from fs_transformation import FSTransformation


def change_link(fusion_home_old):
    fusion_root = os.path.join(fusion_home_old, os.pardir)
    if not os.path.exists(fusion_root):
        sys.exit("Fusion root folder doesn't exist at path '{0}'.".format(fusion_root))
    for link in ["latest", "bin", "conf", "var"]:
        unlink(fusion_root, link)


def unlink(fusion_root, link):
    link_path = os.path.join(fusion_root, link)
    if os.path.islink(link_path):
        logging.info("Unlinking '{}'".format(link_path))
        os.unlink(link_path)
    else:
        logging.info("Link '{}' doesn't exist".format(link_path))


if __name__ == "__main__":
    zkTran = FSTransformation("Unlink fusion links")
    system_windows = zkTran.get_property("os.windows")
    if system_windows == "false":
        fusion_home_old = zkTran.get_old_fusion()
        change_link(fusion_home_old)
    elif system_windows != "true":
        sys.exit("Can't read system.windows property '{0}'.".format(system_windows))

