 #!/usr/bin/env python

import logging

from zk_transformation import ZKTransformation


def add_parsers(zk_tran, parser):
    new_list = []
    for parserStage in parser["parserStages"]:
        if parserStage["type"] == "text":
            new_list.append({"type": "xml", "enabled": True})
            logging.info("Found text stage and added xml parser stages")
            new_list.append({"type": "html", "enabled": True})
            logging.info("Found text stage and added html parser stages")
        new_list.append(parserStage)
    parser["parserStages"] = new_list
    return parser


if __name__ == "__main__":
    zkTran = ZKTransformation("Add html and xml stages to default parser")
    zkTran.update_exact_path_json("/core/parsers/default", add_parsers)
