#!/usr/bin/env python

from zk_transformation import ZKTransformation


def update_chroot(zk_tran, znode):
    old_chroot = zk_tran.get_old_chroot()
    new_chroot = zk_tran.get_new_chroot()
    old_path = znode["path"]
    znode["path"] = znode["path"].replace(old_chroot, new_chroot, 1)
    if old_path != znode["path"]:
        return True
    else:
        return False

if __name__ == "__main__":
    zkTran = ZKTransformation("Change chroot")
    zkTran.update_all_nodes(update_chroot)
