# !/usr/bin/env python

import logging

from zk_transformation import ZKTransformation

def rename_connector(zkTran, datasource):
  if datasource['connector'] == 'lucid.anda' or datasource['connector'] == 'lucid.fs':
    new_name = 'lucid.{}'.format(datasource['type'])
    logging.info("Updating zookeeper datasource node for datasource id %s connector name from %s to %s", datasource['id'],
                 datasource['connector'], new_name)
    datasource['connector'] = new_name
  return datasource

if __name__ == "__main__":
  zkTran = ZKTransformation('''Rename all datasource names within configs in zookeeper from lucid.anda / lucid.fs
                           to their subtypes''')
  zkTran.update_datasources(rename_connector, False)