 #!/usr/bin/env python

import logging

from zk_transformation import ZKTransformation


def update_connect_string(zk_tran, search_cluster):
    solr_zk_connect = zk_tran.get_property("solr.zk.connect.new")
    search_cluster["connectString"] = solr_zk_connect
    logging.info("Found and changed default search cluster")
    return search_cluster


if __name__ == "__main__":
    zkTran = ZKTransformation("Change SolrZk connect string for default search cluster")
    zkTran.update_exact_path_json("/core/search-clusters/default", update_connect_string)
