# !/usr/bin/env python

import logging

from zk_transformation import ZKTransformation

def update_enable_security_trimming(zkTran, datasource):
  if datasource['type'] == 'googledrive':
    if datasource['properties'].has_key('enable_security_trimming'):
      datasource['properties']['enable_security_trimming']['f.fs.enableSecurityTrimming'] = True
    else:
      datasource['properties']['enable_security_trimming'] = {
        "f.fs.enableSecurityTrimming": True
      }
  return datasource

if __name__ == "__main__":
  zkTran = ZKTransformation('''Add new mandatory 3.1.0 datasource properties if missing.''')
  zkTran.update_datasources(update_enable_security_trimming, False)